<?php get_header(); ?>

        <div class="vlo-tarvel-details pt-50">
            <div class="container">
                <div class="travel-details-img">
                    <?php the_post_thumbnail(); ?>
                </div>
                <div class="details-info">
                    <div class="vlo-date-1">
                        <span><?php echo get_the_date('M d, Y'); ?></span>
                    </div>
                    <div class="details-meta">
                        <div class="details-comment">
                            <a><i class="flaticon-speech-bubble"></i></a>
                            <span><?php echo get_comments_number(); ?> comment</span>
                        </div>
                    </div>
                </div>
                <?php the_content(); ?>
                <div class="details-social">
                    <a href="https://www.facebook.com/sharer/sharer.php?u=<?php echo urlencode(get_permalink()); ?>" target="_blank">
                        <i class="flaticon-facebook-app-symbol"></i>
                    </a>
                    <a href="https://twitter.com/intent/tweet?url=<?php echo urlencode(get_permalink()); ?>&text=<?php echo urlencode(get_the_title()); ?>" target="_blank">
                        <i class="flaticon-twitter"></i>
                    </a>
                    <a href="https://www.linkedin.com/shareArticle?url=<?php echo urlencode(get_permalink()); ?>&title=<?php echo urlencode(get_the_title()); ?>" target="_blank">
                        <i class="flaticon-linkedin"></i>
                    </a>
                    <a href="https://www.instagram.com/" target="_blank">
                        <i class="flaticon-instagram"></i>
                    </a>
                    <a href="mailto:?subject=<?php echo urlencode(get_the_title()); ?>&body=<?php echo urlencode(get_permalink()); ?>">
                        Share
                    </a>
                </div>

                <div class="details-posts">
                    <!-- Previous Post -->
                    <div class="posts-img">
                        <?php 
                            $prev_post = get_previous_post();
                            if (!empty($prev_post)): 
                        ?>
                            <img src="<?php echo get_the_post_thumbnail_url($prev_post->ID, 'full'); ?>" alt="Previous Post" class="nm">
                            <a href="<?php echo get_permalink($prev_post->ID); ?>">
                                <img src="<?php echo bloginfo('template_url'); ?>/assets/images/icon/arrow-left.svg" alt="arrow-left">Previous Post
                            </a>
                        <?php endif; ?>
                    </div>
                
                    <!-- Next Post -->
                    <div class="posts-img">
                        <?php 
                            $next_post = get_next_post();
                            if (!empty($next_post)): 
                        ?>
                          
                            <img src="<?php echo get_the_post_thumbnail_url($next_post->ID, 'full'); ?>" alt="Next Post" class="nm">
						  <a href="<?php echo get_permalink($next_post->ID); ?>" class="ui">
                                Next Post<img src="<?php echo bloginfo('template_url'); ?>/assets/images/icon/arrow-right.svg" alt="arrow-right">
                            </a>
                        <?php endif; ?>
                    </div>
                </div>

            </div>
        </div>
        <!-- vlo-post-1 -->
        <div class="vlo-post-details">
            <div class="container">
                <div class="vlo-heading-1 text-center">
                    <h2>Related Posts</h2>
                </div>
                <div class="row vlo-posts-grid-1">
                    
                        <?php
                            // Get the current post's categories
                            $categories = get_the_category();
                            if ($categories) {
                                // Get the IDs of the categories
                                $category_ids = array();
                                foreach ($categories as $category) {
                                    $category_ids[] = $category->term_id;
                                }
                    
                                // Define the custom query to fetch related posts
                                $args = array(
                                    'category__in' => $category_ids, // Get posts from the same categories
                                    'posts_per_page' => 3,            // Limit to 3 posts
                                    'post__not_in' => array(get_the_ID()), // Exclude the current post
                                    'orderby' => 'rand',              // Randomize the order of related posts
                                );
                    
                                $related_posts_query = new WP_Query($args);
                    
                                // Check if there are related posts
                                if ($related_posts_query->have_posts()) :
                                    while ($related_posts_query->have_posts()) : $related_posts_query->the_post();
                        ?>
                                        <div class="col-lg-4 col-md-6">
                                            <div class="vlo-post-single">
                                                <div class="vlo-post-img">
                                                    <?php if (has_post_thumbnail()) : ?>
                                                        <img src="<?php the_post_thumbnail_url('full'); ?>" alt="<?php the_title(); ?>">
                                                    <?php else: ?>
                                                        <img src="<?php echo bloginfo('template_url'); ?>/assets/images/posts/default-post.jpg" alt="Default Image">
                                                    <?php endif; ?>
                                                </div>
                                                <div class="post-info">
                                                    <div class="post-day">
                                                        <?php echo get_the_date('F j, Y'); ?>
                                                    </div>
                                                    <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                                    <div class="post-meta">
                                                        <div class="post-author">
                                                            <span>by</span>
                                                            <a><?php the_author(); ?></a>
                                                        </div>
                                                        <div class="vlo-date-2">
                                                            <span><?php echo get_the_date(); ?></span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                        <?php
                                    endwhile;
                                else :
                                    echo '<p>No related posts found.</p>';
                                endif;
                                // Reset the post data
                                wp_reset_postdata();
                            }
                        ?>
                    

                    
                </div>
            </div>
        </div>
        
        <!-- comment -->
        <div class="vol-travel-comment" id="comments">
            <div class="container">
                
                <?php
                if ( have_posts() ) :
                    while ( have_posts() ) : the_post(); ?>
                    <?php
                        // Comments template
                        if (comments_open() || get_comments_number()) :
                            comments_template();
                        endif;
                        ?>
                <?php endwhile;
                else :
                    echo '<p>No content found</p>';
                endif;
                ?>
                
            </div>
        </div>

<?php get_footer(); ?>