<?php /* Template Name: Home */ ?>
<?php get_header(); ?>

        <!-- Banner -->
        <div class="vlo-banner-4">
            <div class="vlo-banner-shapes">
                <img src="<?php echo bloginfo('template_url'); ?>/assets/images/shape/food-1.svg" alt="food">
                <img src="<?php echo bloginfo('template_url'); ?>/assets/images/shape/food-2.svg" alt="food">
                <img src="<?php echo bloginfo('template_url'); ?>/assets/images/shape/food-3.svg" alt="food">
                <img src="<?php echo bloginfo('template_url'); ?>/assets/images/shape/food-4.svg" alt="food">
                <img src="<?php echo bloginfo('template_url'); ?>/assets/images/shape/food-5.svg" alt="food">
            </div>
            <div class="container">
                <div class="row">
                    <div class="col-lg-8">
                        <div class="swiper bannerThree">
                            <div class="swiper-wrapper">
                                
                                <?php
                                // Get all categories
                                $categories = get_categories(array(
                                    'hide_empty' => true, // Only show categories with posts
                                    'number'     => 5,    // Limit to 5 categories
                                ));
                                if ( ! empty( $categories ) ) :
                                    foreach ($categories as $category) :
                                        // Query one random post from each category
                                        $args = array(
                                            'post_type' => 'post',
                                            'posts_per_page' => 1, // Get only one post
                                            'category_name' => $category->slug, // Filter by category slug
                                            'orderby' => 'rand', // Randomize the posts
                                        );
                                
                                        $query = new WP_Query($args);
                                
                                        if ($query->have_posts()) : 
                                            while ($query->have_posts()) : $query->the_post(); ?>
                                                <div class="swiper-slide">
                                                    <div class="banner-content">
                                                        <div class="post-date">
                                                            <span><?php echo get_the_date('M d, Y'); ?></span>
                                                        </div>
                                                        <div class="banner-heading">
                                                            <h1><?php the_title(); ?></h1>
                                                        </div>
                                                        <p class="banner-desc"><?php echo wp_trim_words(get_the_excerpt(), 20); // Trims excerpt to 20 words ?></p>
                                                        <div class="post-btn-wrapper">
                                                            <div class="post-read-more-btn-3">
                                                                <a href="<?php the_permalink(); ?>">Read More <i class="flaticon-arrow-point-to-right"></i></a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php endwhile;
                                        endif;
                                        wp_reset_postdata();
                                    endforeach;
                                endif;
                                ?>

                            </div>
                            <div class="tcd-swiper-navigation-wrap">
                                <div class="swiper-button-prev"></div>
                                <div class="swiper-pagination"></div>
                                <div class="swiper-button-next"></div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="banner-img">
                            <div class="banner-shape">
                                <img src="<?php echo bloginfo('template_url'); ?>/assets/images/shape/paper-plen.svg" alt="paper-plen">
                            </div>
                            <svg width="612" height="787" viewBox="0 0 612 787" fill="none" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                                <ellipse cx="306" cy="481.95" rx="306" ry="304.5" fill="#94C8FF"/>
                                <mask id="mask0_338_781" style="mask-type:alpha" maskUnits="userSpaceOnUse" x="0" y="-4" width="612" height="791">
                                    <path d="M612 481.95C612 650.121 474.999 786.45 306 786.45C137.001 786.45 0 650.121 0 481.95C0 370.272 60.4168 272.636 150.5 219.641C102 158.45 133.5 49.65 221.5 14.45C324 -26.55 342.74 5.70037 399.928 62.95C514.82 177.966 612 369.668 612 481.95Z" fill="#CAE4FF"/>
                                </mask>
                                <g mask="url(#mask0_338_781)">
                                    <rect x="61" y="5.44995" width="510" height="786" fill="url(#pattern0)"/>
                                </g>
                                <defs>
                                    <pattern id="pattern0" patternContentUnits="objectBoundingBox" width="1" height="1">
                                        <use xlink:href="#image0_338_781" transform="matrix(0.000376264 0 0 0.000244141 -0.000430836 0)"/>
                                    </pattern>
                                    <image id="image0_338_781" width="2660" height="4096" xlink:href="<?php echo bloginfo('template_url'); ?>/assets/images/banner/banner-4.png"/>
                                </defs>
                            </svg>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Featured Posts -->
        <?php
        $featured_posts=get_field('featured_posts');
        ?>
        <div class="vlo-featured-posts-4">
            <div class="container">
                <div class="vlo-heading-4">
                    <h2><?php echo $featured_posts['head'];?></h2>
                    <p><?php echo $featured_posts['details'];?></p>
                </div>
                <div class="row">
                    <?php
                    // Set up custom queries for each layout section
                    // Get one random post for the first `col-lg-5` section
                    $args_large = array(
                        'post_type'      => 'post',
                        'posts_per_page' => 1,
                        'orderby'        => 'rand',
                    );
                    $query_large = new WP_Query($args_large);
                
                    if ($query_large->have_posts()) :
                        while ($query_large->have_posts()) : $query_large->the_post(); ?>
                            <div class="col-lg-5">
                                <div class="featured-post-single posts-large-item">
                                    <div class="featured-post-img">
                                        <?php if (has_post_thumbnail()) : ?>
                                            <img src="<?php the_post_thumbnail_url(); ?>" alt="<?php the_title_attribute(); ?>">
                                        <?php endif; ?>
                                        <div class="featured-post-info">
                                            <div class="featured-post-date">
                                                <span><?php echo get_the_date('M d, Y'); ?></span>
                                            </div>
                                            <h2 class="featured-post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                                            <div class="post-social">
                                                <div class="comment">
                                                    <a><i class="flaticon-speech-bubble"></i></a>
                                                    <span><?php echo get_comments_number(); ?> comments</span>
                                                </div>
                                                
                                            </div>
                                        </div>
                                        <a href="<?php echo get_category_link( get_the_category()[0]->term_id ); ?>" class="read-more-btn-4"><?php echo esc_html(get_the_category()[0]->name); ?></a>
                                    </div>
                                </div>
                            </div>
                        <?php endwhile;
                    endif;
                    wp_reset_postdata();
                    ?>
                    <div class="col-lg-7">
                        <div class="row">
                            <?php
                            // Get two random posts for the `col-lg-7` section
                            $args_small = array(
                                'post_type'      => 'post',
                                'posts_per_page' => 2,
                                'orderby'        => 'rand',
                            );
                            $query_small = new WP_Query($args_small);
                
                            if ($query_small->have_posts()) :
                                while ($query_small->have_posts()) : $query_small->the_post(); ?>
                                    <div class="col-lg-6 col-md-6">
                                        <div class="featured-post-single posts-small-item">
                                            <div class="featured-post-img">
                                                <?php if (has_post_thumbnail()) : ?>
                                                    <img src="<?php the_post_thumbnail_url(); ?>" alt="<?php the_title_attribute(); ?>">
                                                <?php endif; ?>
                                                <div class="featured-post-info">
                                                    <div class="featured-post-date">
                                                        <span><?php echo get_the_date('M d, Y'); ?></span>
                                                    </div>
                                                    <h2 class="featured-post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                                                    <p><?php echo wp_trim_words(get_the_excerpt(), 15); ?></p>
                                                    <div class="post-social">
                                                        <div class="comment">
                                                            <a><i class="flaticon-speech-bubble"></i></a>
                                                            <span><?php echo get_comments_number(); ?> comments</span>
                                                        </div>
                                                        
                                                    </div>
                                                </div>
                                                <a href="<?php echo get_category_link( get_the_category()[0]->term_id ); ?>" class="read-more-btn-4"><?php echo esc_html(get_the_category()[0]->name); ?></a>
                                            </div>
                                        </div>
                                    </div>
                                <?php endwhile;
                            endif;
                            wp_reset_postdata();
                            ?>
                        </div>
                    </div>


                        <div class="col-lg-7">
                            <div class="row">
                                <?php
                                // Query to fetch two random posts for the `col-lg-7` section
                                $args_two_posts = array(
                                    'post_type'      => 'post',
                                    'posts_per_page' => 2,
                                    'orderby'        => 'rand',
                                );
                                $query_two_posts = new WP_Query($args_two_posts);
                    
                                if ($query_two_posts->have_posts()) :
                                    while ($query_two_posts->have_posts()) : $query_two_posts->the_post(); ?>
                                        <div class="col-lg-6 col-md-6">
                                            <div class="featured-post-single posts-small-item">
                                                <div class="featured-post-img">
                                                    <?php if (has_post_thumbnail()) : ?>
                                                        <img src="<?php the_post_thumbnail_url(); ?>" alt="<?php the_title_attribute(); ?>">
                                                    <?php endif; ?>
                                                    <div class="featured-post-info">
                                                        <div class="featured-post-date">
                                                            <span><?php echo get_the_date('M d, Y'); ?></span>
                                                        </div>
                                                        <h2 class="featured-post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                                                        <p><?php echo wp_trim_words(get_the_excerpt(), 15); ?></p>
                                                        <div class="post-social">
                                                            <div class="comment">
                                                                <a><i class="flaticon-speech-bubble"></i></a>
                                                                <span><?php echo get_comments_number(); ?> comments</span>
                                                            </div>
                                                            
                                                        </div>
                                                    </div>
                                                    <a href="<?php echo get_category_link( get_the_category()[0]->term_id ); ?>" class="read-more-btn-4"><?php echo esc_html(get_the_category()[0]->name); ?></a>
                                                </div>
                                            </div>
                                        </div>
                                    <?php endwhile;
                                endif;
                                wp_reset_postdata();
                                ?>
                            </div>
                        </div>
                    
                        <?php
                        // Query to fetch one random post for the `col-lg-5` section
                        $args_one_post = array(
                            'post_type'      => 'post',
                            'posts_per_page' => 1,
                            'orderby'        => 'rand',
                        );
                        $query_one_post = new WP_Query($args_one_post);
                    
                        if ($query_one_post->have_posts()) :
                            while ($query_one_post->have_posts()) : $query_one_post->the_post(); ?>
                                <div class="col-lg-5">
                                    <div class="featured-post-single posts-large-item">
                                        <div class="featured-post-img">
                                            <?php if (has_post_thumbnail()) : ?>
                                                <img src="<?php the_post_thumbnail_url(); ?>" alt="<?php the_title_attribute(); ?>">
                                            <?php endif; ?>
                                            <div class="featured-post-info">
                                                <div class="featured-post-date">
                                                    <span><?php echo get_the_date('M d, Y'); ?></span>
                                                </div>
                                                <h2 class="featured-post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                                                <div class="post-social">
                                                    <div class="comment">
                                                        <a><i class="flaticon-speech-bubble"></i></a>
                                                        <span><?php echo get_comments_number(); ?> comments</span>
                                                    </div>
                                                    
                                                </div>
                                            </div>
                                            <a href="<?php echo get_category_link( get_the_category()[0]->term_id ); ?>" class="read-more-btn-4"><?php echo esc_html(get_the_category()[0]->name); ?></a>
                                        </div>
                                    </div>
                                </div>
                            <?php endwhile;
                        endif;
                        wp_reset_postdata();
                        ?>

                </div>
            </div>
        </div>

        <!-- Popular post -->
        <?php
        $popular_post=get_field('popular_post');
        ?>
        <div class="vlo-populer-posts-4">
            <div class="container">
                <div class="vlo-heading-4">
                    <h2><?php echo $popular_post['head'];?></h2>
                    <p><?php echo $popular_post['details'];?></p>
                </div>
                <div class="row gx-5">
                    <div class="col-lg-8">
                        <div class="row">
                            
                            
                                <?php
                                // Query to fetch two random posts
                                $args_popular_posts = array(
                                    'post_type'      => 'post',
                                    'posts_per_page' => 2,
                                    'orderby'        => 'rand',
                                );
                                $query_popular_posts = new WP_Query($args_popular_posts);
                            
                                if ($query_popular_posts->have_posts()) :
                                    while ($query_popular_posts->have_posts()) : $query_popular_posts->the_post(); ?>
                                        <div class="col-lg-6">
                                            <div class="populer-post-single">
                                                <div class="populer-post-img">
                                                    <?php if (has_post_thumbnail()) : ?>
                                                        <img src="<?php the_post_thumbnail_url(); ?>" alt="<?php the_title_attribute(); ?>">
                                                    <?php endif; ?>
                                                    <div class="populer-post-info">
                                                        <div class="populer-post-date">
                                                            <span><?php echo get_the_date('M d, Y'); ?></span>
                                                        </div>
                                                        <h2 class="populer-post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                                                        <p><?php echo wp_trim_words(get_the_excerpt(), 15); ?></p>
                                                        <div class="post-social">
                                                            <div class="comment">
                                                                <a><i class="flaticon-speech-bubble"></i></a>
                                                                <span><?php echo get_comments_number(); ?> comments</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    <?php endwhile;
                                endif;
                                wp_reset_postdata();
                                ?>
                            

                            
                            <div class="populer-post-list-3">
                                <?php
                                // Query to fetch three random posts
                                $args_popular_list_posts = array(
                                    'post_type'      => 'post',
                                    'posts_per_page' => 3,
                                    'orderby'        => 'rand',
                                );
                                $query_popular_list_posts = new WP_Query($args_popular_list_posts);
                            
                                if ($query_popular_list_posts->have_posts()) :
                                    while ($query_popular_list_posts->have_posts()) : $query_popular_list_posts->the_post(); ?>
                                        <div class="populer-post-list-single">
                                            <div class="populer-post-list-img">
                                                <?php if (has_post_thumbnail()) : ?>
                                                    <img src="<?php the_post_thumbnail_url(); ?>" alt="<?php the_title_attribute(); ?>">
                                                <?php endif; ?>
                                            </div>
                                            <div class="populer-post-list-info">
                                                <div class="populer-post-list-meta">
                                                    <div class="date">
                                                        <span><?php echo get_the_date('M d, Y'); ?></span>
                                                    </div>
                                                    <div class="author">
                                                        <?php echo get_avatar(get_the_author_meta('ID'), 32); ?> by <a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>"><?php the_author(); ?></a>
                                                    </div>
                                                </div>
                                                <h2 class="post-list-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                                                <p><?php echo wp_trim_words(get_the_excerpt(), 20); ?></p>
                                                <a class="vlo-global-btn" href="<?php the_permalink(); ?>">Read More</a>
                                            </div>
                                        </div>
                                    <?php endwhile;
                                endif;
                                wp_reset_postdata();
                                ?>
                            </div>

                            
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="vlo-sidebar-1">
                            <div class="post-list-wrapper">
                                <div class="vlo-post-newsletter-1">
                                    <img src="<?php echo bloginfo('template_url'); ?>/assets/images/icon/letter-4.png" alt="Letter">
                                    <h2>Newsletter</h2>
                                    <p>Suspendisse a auctor morbi tempor nibh nulla nulla dolar Phasellus</p>
                                    <div class="news-letter-form">
                                        <div class="vlo-footer-form">
                                            
                                            <?php echo do_shortcode('[contact-form-7 id="713dc89" title="Newsletter"]');?>
                                        </div>
                                    </div>
                                </div>
                                <div class="vlo-posts-list-3 marketing">
                                    <div class="vlo-resent-post-heading">
                                        <h2>Resent Post</h2>
                                    </div>
                                    
                                        <?php
                                        // Retrieve all categories
                                        $categories = get_categories(array(
                                            'hide_empty' => true, // Only show categories with posts
                                            'number'     => 5,    // Limit to 5 categories
                                        ));
                                        
                                        if ( ! empty( $categories ) ) :
                                            foreach ( $categories as $category ) :
                                                // Query for the most recent post in the current category
                                                $query = new WP_Query( array(
                                                    'posts_per_page' => 1,
                                                    'cat'            => $category->term_id, // Use the category ID
                                                    'post_type'      => 'post',
                                                ) );
                                        
                                                if ( $query->have_posts() ) :
                                                    while ( $query->have_posts() ) : $query->the_post();
                                                        ?>
                                                        <div class="vlo-post-single">
                                                            <div class="vlo-post-img">
                                                                <?php if ( has_post_thumbnail() ) : ?>
                                                                    <img src="<?php the_post_thumbnail_url(); ?>" alt="<?php the_title_attribute(); ?>">
                                                                <?php else : ?>
                                                                    <img src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/images/default-image.jpg" alt="Default Image">
                                                                <?php endif; ?>
                                                            </div>
                                                            <div class="vlo-info">
                                                                <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                                                <a class="post-categorie" href="<?php echo esc_url( get_category_link( $category->term_id ) ); ?>">
                                                                    <?php echo esc_html( $category->name ); ?>
                                                                </a>
                                                            </div>
                                                        </div>
                                                        <?php
                                                    endwhile;
                                                    wp_reset_postdata();
                                                endif;
                                            endforeach;
                                        endif;
                                        ?>



                                </div>
                            </div>
                            <!--<div class="posts-social-4 posts-social-3">-->
                            <!--    <div class="vlo-follow-heading">-->
                            <!--        <h2>Follow Me</h2>-->
                            <!--    </div>-->
                            <!--    <div class="posts-social-wrapper">-->
                            <!--        <a class="social-link" href="index-4.html"><i class="flaticon-instagram"></i>Instagram</a>-->
                            <!--        <a class="social-link" href="index-4.html"><i class="flaticon-twitter"></i>Twitter</a>-->
                            <!--        <a class="social-link" href="index-4.html"><i class="flaticon-linkedin"></i>Linkedin</a>-->
                            <!--        <a class="social-link" href="index-4.html"><i class="flaticon-facebook-app-symbol"></i>Facebook</a>-->
                            <!--        <a class="social-link" href="index-4.html"><i class="flaticon-vimeo"></i>Vimeo</a>-->
                            <!--        <a class="social-link" href="index-4.html"><i class="flaticon-flickr-logo-variant-of-two-dots-in-a-rounded-square"></i>Flickr</a>-->
                            <!--    </div>-->
                            <!--</div>-->
                            
                        </div>
                    </div>
                </div>
            </div>
        </div>

<?php get_footer(); ?>